package com.mvc.iot.onenet.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 移动Onenet配置
 */
@Configuration
@ConfigurationProperties(prefix = "onenet")
public class OneNetConfig {
    public static final String brokerSSLServerUrl="pulsar+ssl://iot-north-mq.heclouds.com:6651/";

    //消费组ID
    private String iotAccessId;

    //消费组KEY
    private String iotSecretKey;

    //订阅名称
    private String iotSubscriptionName;

    //产品ID
    private String iotProductId;

    //产品KEY
    private String iotProductKey;

    //数据段的密钥(备用)
    private String aesSecretKey;

    // Getters and Setters
    public String getIotAccessId() {
        return iotAccessId;
    }

    public void setIotAccessId(String iotAccessId) {
        this.iotAccessId = iotAccessId;
    }

    public String getIotSecretKey() {
        return iotSecretKey;
    }

    public void setIotSecretKey(String iotSecretKey) {
        this.iotSecretKey = iotSecretKey;
    }

    public String getIotSubscriptionName() {
        return iotSubscriptionName;
    }

    public void setIotSubscriptionName(String iotSubscriptionName) {
        this.iotSubscriptionName = iotSubscriptionName;
    }

    public String getAesSecretKey() {
        return aesSecretKey;
    }

    public void setAesSecretKey(String aesSecretKey) {
        this.aesSecretKey = aesSecretKey;
    }

    public String getIotProductId() {
        return iotProductId;
    }

    public void setIotProductId(String iotProductId) {
        this.iotProductId = iotProductId;
    }

    public String getIotProductKey() {
        return iotProductKey;
    }

    public void setIotProductKey(String iotProductKey) {
        this.iotProductKey = iotProductKey;
    }
}
